module.exports = function(gulp, plugins, globs, project_info, scripts_entry, views_entry, browserSync) {

    var path = require('path'),
        release = process.argv.indexOf('--release') !== -1;

    return {
        fonts: function() {
            return gulp.src(globs.assets.fonts.what)
                .pipe(plugins.cached('fonts'))
                .pipe(gulp.dest(globs.assets.fonts.where));
        },
        public: function() {
            return gulp.src(globs.assets.public.what)
                .pipe(plugins.cached('public'))
                .pipe(gulp.dest(globs.assets.public.where));
        }
    };

};
