module.exports = function(gulp, plugins, globs, project_info, scripts_entry, views_entry, browserSync) {

    var path = require('path');
    release = process.argv.indexOf('--release') !== -1;

    return {
        blocks: function() {
            return gulp.src(['./README.md', path.join(project_info.sources.app, './**/*.md')])
                .pipe(plugins.markdownDocs('index.html', {
                    yamlMeta: true,
                    documentSort: 'rank',
                    layoutStylesheetUrl: path.join(__dirname, '../..', 'templates/docs.template.css'),
                    templatePath: path.join(__dirname, '../..', '/templates/docs.template.html'),
                    categorySort: 'rank',
                    highlightTheme: 'solarized_light'
                }))
                .pipe(gulp.dest('./docs/blocks-docs/'));
        },
        jsdocs: function() {
            // return gulp.src(['./app/**/!(bootstrap|vendor)/**/*.jsxxxxx'])
            //     .pipe(plugins.jsdoc('./docs/js-docs', {
            //         path: 'ink-docstrap',
            //         systemName: 'JS API docs',
            //         navType: 'vertical',
            //         theme: 'flatly',
            //         linenums: true,
            //         collapseSymbols: false,
            //         inverseNav: false
            //     }));

        }
    };

};
