module.exports = function(gulp, plugins, globs, project_info, scripts_entry, views_entry, browserSync) {
  var release = process.argv.indexOf('--release') !== -1,
      pngquant = require('imagemin-pngquant'),
      gulp = require('gulp');

  return function() {
    return gulp.src(globs.images.compile)
        .pipe(plugins.newer(globs.images.dest))
            .pipe(plugins.imagemin({
              svgoPlugins: [{
                removeViewBox: false
              }],
              use: [pngquant()]
            }))
            .pipe(gulp.dest(globs.images.dest));
  };
};
